package com.imdroid.sideslope.executor;

import com.imdroid.secapi.client.BeidouClient;
import com.imdroid.sideslope.message.D350TestMessage;
import com.imdroid.sideslope.sal.DeviceService;
import com.imdroid.sideslope.service.DataPersistService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @author Layton
 * @date 2023/2/2 20:40
 */
@Component
public class D350TestMessageExecutor implements Executor<D350TestMessage, Void> {
    private final Logger logger = LoggerFactory.getLogger(this.getClass());

    @Override
    public Void execute(D350TestMessage message) {
        if (logger.isDebugEnabled()) {
            logger.debug("device {} max acc(g) in 1s: x={},y={},z={}",message.getId(),
                    message.getAccX(),message.getAccY(),message.getAccZ());
        }


        return null;
    }


    @Override
    public Class<?> getMessageType() {
        return D350TestMessage.class;
    }
}
